require 'pathname'
require 'json'
require 'erb'

require 'stacco/base'

module Stacco::Resources
  root_dir = Pathname.new(File.expand_path("../../../priv", __FILE__))

  StackTemplate = ERB.new((root_dir + "stack.json.erb").read)

  LayerTemplates = {}
  (root_dir + "layers").children.each{ |path| LayerTemplates[path.basename('.json').to_s] = JSON.parse(path.read) }

  RoleScripts = {}
  (root_dir + "roles").children.each{ |path| RoleScripts[path.basename('.sh').to_s] = path.read }
end
