require 'ostruct'
require 'base64'
require 'shellwords'
require 'json'

require 'stacco/template'

class Stacco::Template::Old
  class RenderContext < OpenStruct
    def j(o)
      o.to_json
    end
  end

  def initialize
  end

  def to_json(opts = {})
    stack = opts.delete(:stack)

    vars = stack.config.dup
    vars['stack'] = stack
    vars['layers'] = stack.enabled_layers

    var_binding = RenderContext.new(vars).instance_eval{ binding }

    JSON.pretty_generate(JSON.parse(Stacco::Resources::StackTemplate.result(var_binding)))
  end
end
