Gem::Specification.new do |s|
  s.name        = 'stacco'
  s.version     = `git describe --abbrev=0 --tags`.chomp
  s.licenses    = ['MIT']
  s.summary     = "CloudFormation stack manipulator"
  s.description = "AWS CloudFromation stack manipulation toolsuite"
  s.authors     = ["Levi Aul"]
  s.email       = 'levi@leviaul.com'
  s.files       = `find . -type f`.chomp.split("\n")
  s.homepage    = 'https://github.com/tsutsu/stacco'

  s.add_runtime_dependency 'aws-sdk', '~> 1'
  s.add_runtime_dependency 'inifile', '~> 2'
  s.add_runtime_dependency 'highline', '~> 1'

  s.executables << 'stacco'
end
